Opened 13 years ago

Closed 12 years ago

#522 closed enhancement (fixed)

codec RPMs would be more useful without dependencies

Reported by: robatino@… Owned by: dominik@…
Priority: normal Component: RPMs
Version: unspecified Severity: minor
Keywords: Cc:
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

The current codec RPMs require MPlayer >= 1.0pre7 from Greysector. The
dependency is a problem if one wants to use MPlayer from another source such as
Freshrpms or Livna, or a completely different application such as xine. AFAIK,
no other source is willing to provide codec RPMs (or codecs in any form!),
presumably due to the legal danger. So they would be much more useful without
the dependency (I realize it's possible to override with --nodeps, but that's a
bad habit to instill). Installing the MPlayer from Greysector will cause a
possible conflict if one normally uses another repo such as Freshrpms or Livna
that has its own version of MPlayer (I use Freshrpms), and for now at least,
Greysector doesn't have nearly as much content as these other repos. Installing
the codec tarball in the right place would be much harder for newbies,
especially now that everyone else's version of MPlayer is looking in the same
place and the only obstacle to using the codec RPMs is the dependencies.

Change History (2)

comment:1 Changed 13 years ago by dominik@…

  • Status changed from new to assigned

Fine, I'll change it in the next release.

comment:2 Changed 12 years ago by robatino@…

  • Resolution set to fixed
  • Status changed from assigned to closed

Will there be links on the main page to the RPMs which are now in the codecs directory? Most people won't look past the links on the main page, even though most of them are probably using RPM-based distros.

Note: See TracTickets for help on using tickets.